﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace TreeViewTest
{
    public class Model
    {

        public Model()
        {

            SubItems = new ObservableCollection<Model>();

        }

        public string Header { get; set; }

        public bool IsCheckable { get; set; }

        private SolidColorBrush color = new SolidColorBrush(Colors.Black);
        public SolidColorBrush ForeColor
        {
            get
            {
                return color;
            }
            set
            {
                color = value;
            }
        }

        public ObservableCollection<Model> SubItems { get; set; }

    }
}
